Artifact compatibility for Cloud Engine and Talend Remote Engine - Cloud

Talend Cloud Installation and Upgrade Guide

Version
Cloud
Language
English
Operating system
Windows
Product
Talend Cloud
Module
Talend Artifact Repository
Talend Data Stewardship
Talend Management Console
Talend Remote Engine
Talend SAP RFC Server
Talend Studio
Content
Installation and Upgrade
Last publication date
2024-04-02
To check the compatibility between Talend Studio and Talend Cloud, see Talend Support Statements.

Artifacts built with Talend Studio 8.0

Starting from v2.13, Remote Engine requires Java 17 to start. If some of your artifacts, such as Big Data Jobs, require other Java versions, see Specifying a Java version to run Jobs or Microservices.
Cloud engine support for artifacts built with Java 8 in Talend Studio 8.0
Module Talend Runtime Version Support type
Data Integration Not applicable Supported
Talend Remote Engine 2.12 support for artifacts built with Java 11 in Talend Studio 8.0
Talend Remote Engine 2.12 Java version Module Talend Runtime Version Support type
8 Data Integration Not applicable Supported
8 Big Data Not applicable Supported
8 API Services 8.0 Not Supported
11 Data Integration Not applicable Supported
11 Big Data Not applicable Not Supported
11 API Services 8.0 Supported

Starting from v2.13, Talend Remote Engine requires Java 17 to run. If some of your artifacts, such as Big Data Jobs, require other Java versions, see Specifying a Java version to run Jobs or Microservices.

Talend Remote Engine 2.13 support for artifacts built with Java 11 in Talend Studio 8.0
Talend Remote Engine 2.13 Java version Module Talend Runtime Version Support type
17 Data Integration Not applicable Supported
17 Big Data Not applicable Not Supported
17 API Services 8.0 Supported

Artifacts built with Talend Studio 7.3

Cloud engine support for artifacts built with Java 8 in Talend Studio 7.3
Module Talend Runtime Version Support type
Data Integration Not applicable Supported
Talend Remote Engine 2.12 support for artifacts built with Java 11 or 8 in Talend Studio 7.3
Talend Remote Engine 2.12 Java version Module Talend Runtime Version Support type
8 Data Integration Not applicable Supported
8 Big Data Not applicable Supported
8 API Services 7.3.1 Supported
11 Data Integration Not applicable Supported
11 Big Data Not applicable Not Supported
11 API Services 7.3.1 Supported

Starting from v2.13, Talend Remote Engine requires Java 17 to run. If some of your artifacts, such as Big Data Jobs, require other Java versions, see Specifying a Java version to run Jobs or Microservices.

Talend Remote Engine 2.13 support for artifacts built with Java 11 or 8 in Talend Studio 7.3
Talend Remote Engine 2.13 Java version Module Talend Runtime Version Support type
17 Data Integration Not applicable Supported
17 Big Data Not applicable Not Supported
17 API Services 7.3.1 Supported